AOZ Studio Beta - Bug #540

Colour command no longer works.
10/05/2020 01:27 AM - Brian Flanagan

Status: Feedback Start date: 10/04/2020
Priority: Low Due date:

Assignee: Brian Flanagan % Done: 0%
Category: Estimated time: 1:00 hour
Target version: Beta RC4

Affected version: Beta RC3

Description

Screen Open 0,320,200,32,Lowres
Colour(17)=$F

History

#1 - 10/06/2020 07:44 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to Beta RC4

Fixed

#2 - 10/06/2020 08:25 PM - Francois Lionet
- Status changed from Resolved to Feedback

- Assignee changed from Francois Lionet to Brian Flanagan

ERRATA. | fixed it, then had a look in the AMOSPro manual.

Colour is NOT a reserved variable. You cannot do Colour(XX) = YY . YOu have an instruction and a function.
Colour XX, YY <- the instruction
Print Colour( XX') <- the function.

Where did you see that it was a reserved variable ?

#3 - 10/07/2020 11:03 AM - Brian Flanagan
- Priority changed from High to Low

When | saw your note, | went back and checked the AMOSPro manual as well. My mistake! | usually double-check the syntax before posting a bug.
I must have missed this one. | don't know if | read this in another doc or | just remembered wrong. Sorry about that! | hope you didn't work too long
on this.

Just a thought though, (especially since you already did it), is there any reason we could NOT do this? Since the palette is already treated like an
array with c=Colour(n), it is intuitive that Colour(n)=c should also be valid.

It would be a plus for ease of use. (Of course, we'd keep the original syntax for AMOSPro compatibility.)

What do you think?

#4 - 10/07/2020 11:10 AM - Brian Flanagan

(Near the end of my last comment "original syntax" should read "instruction syntax").
